> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-9d6f9427.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user activity

> Get user activity for a project



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/analytics/user-activity/{projectUuid}
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3249.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/analytics/user-activity/{projectUuid}:
    get:
      tags:
        - Projects
      summary: Get user activity
      description: Get user activity for a project
      operationId: getUserActivity
      parameters:
        - in: path
          name: projectUuid
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiUserActivity'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiUserActivity:
      properties:
        results:
          $ref: '#/components/schemas/UserActivity'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    UserActivity:
      properties:
        chartViews:
          items:
            $ref: '#/components/schemas/ActivityViews'
          type: array
        userMostViewedDashboards:
          items:
            allOf:
              - $ref: '#/components/schemas/UserWithCount'
              - properties:
                  dashboardUuid:
                    type: string
                  dashboardName:
                    type: string
                required:
                  - dashboardUuid
                  - dashboardName
                type: object
          type: array
        dashboardViews:
          items:
            $ref: '#/components/schemas/ActivityViews'
          type: array
        chartWeeklyAverageQueries:
          items:
            properties:
              average_number_of_weekly_queries_per_user:
                type: string
              date:
                type: string
                format: date-time
            required:
              - average_number_of_weekly_queries_per_user
              - date
            type: object
          type: array
        chartWeeklyQueryingUsers:
          items:
            properties:
              percent_7d_active_users:
                type: string
              num_7d_active_users:
                type: string
              date:
                type: string
                format: date-time
            required:
              - percent_7d_active_users
              - num_7d_active_users
              - date
            type: object
          type: array
        tableNoQueries:
          items:
            $ref: '#/components/schemas/UserWithCount'
          type: array
        tableMostCreatedCharts:
          items:
            $ref: '#/components/schemas/UserWithCount'
          type: array
        tableMostQueries:
          items:
            $ref: '#/components/schemas/UserWithCount'
          type: array
        numberWeeklyQueryingUsers:
          type: number
          format: double
        numberAdmins:
          type: number
          format: double
        numberEditors:
          type: number
          format: double
        numberInteractiveViewers:
          type: number
          format: double
        numberViewers:
          type: number
          format: double
        numberUsers:
          type: number
          format: double
      required:
        - chartViews
        - userMostViewedDashboards
        - dashboardViews
        - chartWeeklyAverageQueries
        - chartWeeklyQueryingUsers
        - tableNoQueries
        - tableMostCreatedCharts
        - tableMostQueries
        - numberWeeklyQueryingUsers
        - numberAdmins
        - numberEditors
        - numberInteractiveViewers
        - numberViewers
        - numberUsers
      type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    ActivityViews:
      properties:
        name:
          type: string
        uuid:
          type: string
        count:
          type: number
          format: double
      required:
        - name
        - uuid
        - count
      type: object
    UserWithCount:
      properties:
        count:
          type: number
          format: double
        lastName:
          type: string
        firstName:
          type: string
        userUuid:
          type: string
      required:
        - lastName
        - firstName
        - userUuid
      type: object

````